Bug 1652557 - Unable to search host in host search box page
Summary: Unable to search host in host search box page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Search
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
: 1652875 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-22 11:21 UTC by Suraj Bora
Modified: 2019-10-07 17:20 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:13 UTC
Foreman Issue Tracker 25548 None None None 2018-11-26 10:42:53 UTC

Description Suraj Bora 2018-11-22 11:21:49 UTC
Description of problem:

Unable to search host in search box for all host


Version-Release number of selected component (if applicable):
satellite 6.5 snap 4

How reproducible: Always


Steps to Reproduce:
1. Go on all hosts page
2. click on search box and type to search
 

Actual results:
As soon as we try to search, search box is gets disappear with error on browser console.
 
Expected results:
User should able to search from available hosts.

Additional info:

react-dom.production.min.js:171 b {name: "MyError", message: "The push method cannot be invoked on an Immutable data structure.", stack: "Error↵    at new b (https://sgi-uv20-01.rhts.eng.b…webpack/vendor-b5c469cb04023d778c20.js:175:79099)"}message: "The push method cannot be invoked on an Immutable data structure."name: "MyError"stack: "Error↵    at new b (https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:204:4416)↵    at Array.<anonymous> (https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:204:3497)↵    at n.value (https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:167:92240)↵    at Ya (https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:175:57927)↵    at Xa (https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:175:57769)↵    at eo (https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:175:60395)↵    at Oo (https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:175:74431)↵    at Po (https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:175:74777)↵    at di (https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:175:79445)↵    at ui (https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:175:79099)"__proto__: Error
    at e (https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:204:4818)
    at https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:204:10644
    at Object.node_modules/seamless-immutable/seamless-immutable.development.js (https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:204:10710)
    at a (https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:1:410)
    at Object.0 (https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:1:1629)
    at a (https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:1:410)
    at https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:1:803
    at https://sat-host/webpack/vendor-b5c469cb04023d778c20.js:1:812
oo @ react-dom.production.min.js:171
n.callback @ react-dom.production.min.js:179

Comment 4 Marek Hulan 2018-11-23 12:10:16 UTC
*** Bug 1652875 has been marked as a duplicate of this bug. ***

Comment 5 Shimon Shtein 2018-11-26 10:42:51 UTC
Created redmine issue https://projects.theforeman.org/issues/25548 from this bug

Comment 6 Brad Buckingham 2018-11-27 13:54:39 UTC
Triaging based upon comment 5 and that there is a WIP PR upstream.

Comment 7 pm-sat@redhat.com 2018-12-06 21:01:24 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25548 has been resolved.

Comment 8 Suraj Bora 2018-12-18 10:55:43 UTC
Verified Build: satellite-6.5.0-8

Verification Scenario:

1. Go on all hosts page
2. click on search box and search host with following options:
   name = <hostname>
   environment = production
   os = RedHat

All above scenario successful. Moving this to verified stage.

Comment 12 errata-xmlrpc 2019-05-14 12:39:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.